/**********************
* WARNING
* Running this code sample will cost you Browshot credits
***********************/

var browshot = require('browshot');
const fs = require("fs");

var client = new browshot('my_api_key');

var timeout;



function submitCrawl(file) {
	client.crawlCreate(
		"blitapp.com", "https://blitapp.com/", 65, { screen_width: 1600, screen_height: 1200, size: 'page' }, 
		function(crawl) {		
			if (crawl.status == 'error') {
				console.log("crawl failed: " + crawl.error);
			}
			else {
				console.log(`crawl #${crawl.id} in process`);
				
				// Check the status of the crawl every 30 seconds
				timeout = setInterval(checkCrawl , 1000 * 30, crawl.id);
			}
		}
	);
}

function checkCrawl(id) {
	client.crawlInfo(id, { }, function(crawl) {
		if (crawl.status == 'error') {
			clearInterval(timeout);
			
			console.log("crawl failed: " + crawl.error);
		}
		else if (crawl.status == 'finished') {
			clearInterval(timeout);
			
			// The crawl succeeded, download the thumbnails.
			for(var screenshot of crawl.urls) {
				console.log(`Downloading ${screenshot.id}  ...`);
        client.screenshotThumbnailFile(screenshot.id, `file-${screenshot.id}.png`, { zoom: 33 }, function(file) {
          console.log(`Thumbnail saved to ${file}`);
        });
			}
		}
		else {
			console.log(`Waiting for crawl ${crawl.id} to finish`);
		}
	});
}